#!/usr/bin/perl -w

BEGIN {
    if( $ENV{PERL_CORE} ) {
        chdir 't';
        @INC = '../lib' unless defined $ENV{PERL} && $ENV{PERL} =~ m(^/);
    }
}

use Test::More;

plan tests => 4;
eval { plan tests => 4 };
if ($] > 5.008008) {
  is( $@, sprintf("You tried to plan twice at %s line %d.\n", $0, __LINE__ - 2),    'disallow double plan' );
} else {
  like( $@, '/^You tried to plan twice!/',    'disallow double plan' );
}
eval { plan 'no_plan'  };
if ($] > 5.008008) {
  is( $@, sprintf("You tried to plan twice at %s line %d.\n", $0, __LINE__ -2),
    'disallow changing plan' );
} else {
  like( $@, '/^You tried to plan twice!/',    'disallow chaning plan' );
}
pass('Just testing plan()');
pass('Testing it some more');
